# 说明
## 简单数组/对象存储可以使用json类型数据:
  1.数组:
      声明:
        ArrayNode 类型,从jackson引来的. 数据库字段的column中需要加上 type =  MySqlTypeConstant.JSON 以表名此字段为json字段
      使用:
        ```
          ArrayNode menu = data.getMenu();
          for (int i = 0; i < menu.size(); i++) {
            JsonNode e = menu.get(i);
            // 获取值
            String mstr = e.textValue();
            System.out.println(mstr);
          }
        ```

  2.对象:
    ObjectNode 类型,从jackson引来的. 数据库字段的column中需要加上 type =  MySqlTypeConstant.JSON 以表名此字段为json字段


  
## token及验证:
  自定义拦截器,针对所有路由进行检查. 如果函数使用@PassToken注解,则会跳过检查,否则会检查是否有登录信息.

## 打包:
  mvn clean install -Pprod

## 部署,打war包,修改tomcat做代理
${tomcat}/conf/server.xml
<Host>节点下添加
<Context path="${routePath}" docBase="${war包位置}" reloadable="true"></Context> 
