package com.free.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.event.ApplicationReadyEvent;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

import com.free.service.InitDataService;

/**项目启动后执行函数 */
@Component
public class ApplicationStartup {
  @Autowired
  InitDataService service;

  @EventListener(ApplicationReadyEvent.class)
  public void onApplicationReady() {
    System.out.println("Spring Boot application started.");
    // 执行需要的逻辑
    service.init();
  }
}