package com.free.config;

/**
 * 自定义异常
 */
public class CustomizationException extends RuntimeException {
    private static final long serialVersionUID = 1L;

    /**
     * 错误码
     */
    protected String errcode;
    /**
     * 错误信息
     */
    protected String errmsg;

    public String getErrCode() {
        return this.errcode;
    }
    public String getErrMsg() {
        return this.errmsg;
    }

    public CustomizationException(ExceptionEnum e) {
        super(e.getResultCode());
        this.errcode = e.getResultCode();
        this.errmsg = e.getResultMsg();
    }
}
