package com.free.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Data;
@Data
public class ChatRecordCreateDTO {
  @NotNull(message = "缺少当前会话信息")
  private String apply_id;
  @NotNull(message = "缺少发言人信息")
  private String speaker;
  @NotBlank(message = "请输入发言内容")
  private String content;
  private String content_type;
}
