package com.free.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Data;

@Data
public class PasswordUpdateDTO {
  @NotNull(message = "缺少用户信息")
  private String id;

  @NotBlank(message = "请填写新密码")
  private String password;

  @NotBlank(message = "缺少用户类型")
  private String type;
}
