package com.free.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.free.utils.BaseEntity;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "user")
@TableName(value = "user")
@ApiModel("转人工服务")
public class User extends BaseEntity{
  @Column(comment = "用户名称")
  @TableField(value = "name")
  @ApiModelProperty("用户名称")
  private String name;

  @Column(comment = "其他系统标识")
  @TableField(value = "uid")
  @ApiModelProperty("其他系统标识")
  private String uid;
}
