package com.free.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.free.utils.BaseEntity;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "dictType")
@TableName(value = "dictType")
@ApiModel("字典目录")
public class DictType extends BaseEntity {
  @Column(comment = "字典目录名称")
  @TableField(value = "title")
  @ApiModelProperty("字典目录名称")
  private String title;
  @Column(comment = "字典目录编码")
  @TableField(value = "code")
  @ApiModelProperty("字典目录编码")
  private String code;
  @Column(comment = "备注")
  @TableField(value = "remark")
  @ApiModelProperty("备注")
  private String remark;
  @Column(comment = "是否使用", defaultValue = "0")
  @TableField(value = "is_use")
  @ApiModelProperty("是否使用")
  private String is_use;
}
