package com.free.service.system;

import java.util.ArrayList;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.free.entity.system.Customer;
import com.free.mapper.system.CustomerMapper;
import com.free.mq.MqService;

@Service
public class CustomerService extends ServiceImpl<CustomerMapper, Customer> {
  @Autowired
  MqService mqService;

  /** 查询在线人数 */
  public Long getOnlineNumber() throws JsonProcessingException {
    ArrayList list = this.mqService.getConsumersIds();
    QueryWrapper qw = new QueryWrapper<>();
    qw.in("id", list);
    Long result = this.count(qw);
    return result;
  }
}
