package com.free.dto;

import javax.validation.constraints.NotBlank;

import lombok.Data;

@Data
public class UserGetInfoDTO {
  @NotBlank(message = "缺少用户标识")
  private String uid;

  @NotBlank(message = "缺少token")
  private String token;

  @NotBlank(message = "缺少用户昵称")
  private String name;
}
