package com.free.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.free.utils.BaseEntity;
import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "platform")
@TableName(value = "platform")
@ApiModel("平台标识")
public class Platform extends BaseEntity {
  @Column(comment = "平台标识编码")
  @TableField(value = "code")
  @ApiModelProperty("平台标识编码")
  private String code;
  @Column(comment = "所属平台")
  @TableField(value = "title")
  @ApiModelProperty("所属平台")
  private String title;
}
