package com.free.service;

import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.free.entity.Question;
import com.free.mapper.QuestionMapper;

@Service
public class QuestionService extends ServiceImpl<QuestionMapper, Question> {
  public void initData(List<Map> list) {
    // 清空表
    ObjectMapper mapper = new ObjectMapper();
    this.baseMapper.truncate();
    for (int i = 0; i < list.size(); i++) {
      Map m = list.get(i);
      Question roleData = mapper.convertValue(m, Question.class);
      this.save(roleData);
    }
  }
}
