package com.free.service.system;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.free.entity.system.Role;
import com.free.mapper.system.RoleMapper;

@Service
public class RoleService extends ServiceImpl<RoleMapper, Role> {

  public void initData(List<Map> list) {
    // 清空表
    ObjectMapper mapper = new ObjectMapper();
    this.baseMapper.truncate();
    for (int i = 0; i < list.size(); i++) {
      Map m = list.get(i);
      Role roleData = mapper.convertValue(m, Role.class);
      this.save(roleData);
    }
  }
}
